<?php

class PaDefault extends CustomPage {
	private $sysErrorClassID='3001';
	private $sysErrorFuncID=0;
	private $sysErrorID=0;
	public $sUserDescriptions=array();
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='平台首页';
		$this->getUser('1,2,3,4,5,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'netsuserinfo','sttColumnHead'=>'uit'),
			array('sttTableName'=>$this->sysTableHead.'netsuserinfocont','sttColumnHead'=>'uict'),);
		
		$this->sUserDescriptions[0]=$this->sysDbDescriptions[$this->sysTableHead.'netsuserinfo'];
		$this->sUserDescriptions[1]=$this->sysDbDescriptions[$this->sysTableHead.'netsuserinfocont'];
		$this->sUserDescriptions[2]=$this->sysDbDescriptions[$this->sysTableHead.'netsuserunit'];
		$this->sUserDescriptions[3]=$this->sysDbDescriptions[$this->sysTableHead.'netsuserunitcont'];
		$this->sUserDescriptions[4]=$this->sysDbDescriptions[$this->sysTableHead.'netsusertype'];
		$this->sUserDescriptions[5]=$this->sysDbDescriptions[$this->sysTableHead.'netsusertypecont'];
		$this->sUserDescriptions[6]=$this->sysDbDescriptions[$this->sysTableHead.'netsuserdepartment'];
		$this->sUserDescriptions[7]=$this->sysDbDescriptions[$this->sysTableHead.'netsuserdepartmentcont'];
		$this->sUserDescriptions[8]=$this->sysDbDescriptions[$this->sysTableHead.'netsusergroup'];
		$this->sUserDescriptions[9]=$this->sysDbDescriptions[$this->sysTableHead.'netsusergrade'];
		$this->sUserDescriptions[0]['Columns']['uitName']['Value']='';
		$this->sApp=new netsuserinfo($this->sConnString);
		
	}
	public function OnBEvent(){
		if($this->sActionTypeF=='DLogin'){
			$this->OnLogin();
		}else if($this->sActionTypeF=='DRegister'){
			$this->OnRegister();
		}
	}
	public function OnLogin(){
		//###COPY FROM LOGIN#####################################
		$tmpSTR='uitName';
		$tmpAR0=$this->AnalyerRequest($tmpSTR.'_LoginTxt','',1);
		$this->sUserDescriptions[0]['Columns'][$tmpSTR]['Value']=$tmpAR0[0];
		$tmpSTR='uitPxd';
		$tmpAR0=$this->AnalyerRequest($tmpSTR.'_LoginTxt','',1);
		$this->sUserDescriptions[0]['Columns'][$tmpSTR]['Value']=$tmpAR0[0];
		$tmpCCode=$tmpAR0[0];
		$tmpSTR='uttType';
		$this->sUserDescriptions[4]['Columns'][$tmpSTR]['Value']='1,2,3,4,5,';
		//-- ------ #Submit limit check ------ --
		$tmpINT=$this->submitLimitRead($this->sysPage,-1,-1,-1);
		if($tmpINT!=0){
			$this->sJscript=$this->Message('SUCCESS','','对不起，您登陆次数过多，请'.$this->sysFileConfig['SubmitLimitFreeze'].'秒后再尝试登陆。','');
			return 1;
		}
		//-- ------ #CCode ------ --
		$tmpSTR='CCode';
		$tmpAR0=$this->AnalyerRequest($tmpSTR.'_LoginTxt','',1);
		$tmpCCode=$tmpAR0[0];
		$tmpSTR=$tmpSTR.'Txt_IFrame';
		if(!array_key_exists($tmpSTR,$_SESSION)){
			$this->submitLimitWrite($this->sysPage,-1,-1,-1);
			$this->sJscript=$this->Message('ERROR','提交失败','验证码错误','');
			return 1;
		}
		if($_SESSION[$tmpSTR]=='' || $_SESSION[$tmpSTR]!=$tmpCCode){
			$this->submitLimitWrite($this->sysPage,-1,-1,-1);
			$this->sJscript=$this->Message('ERROR','提交失败','验证码错误','');
			return 1;
		}
		//-- #daily setting --
		$this->sApp->sDbDescriptions_Other=array(
			array($this->sysDbDescriptions[$this->sysTableHead.'netsuserdaily'],
				$this->sysDbDescriptions[$this->sysTableHead.'netsuserdailycont'],),
			);
		$tmpSTR=$this->sysFileConfig['UserLogTemplate'];
		$tmpSTR=str_replace('{Nets.Time}',date($this->sysTimeFormat),$tmpSTR);
		$tmpSTR=str_replace('{Nets.ActionType}','登陆',$tmpSTR);
		$tmpSTR=str_replace('{Nets.Platform}','用户自助平台',$tmpSTR);
		$this->sApp->sDbDescriptions_Other[0][1]['Columns']['udctIntroduct']['Value']=$tmpSTR;
		$this->sApp->sDbDescriptions_Other[0][0]['Columns']['udtType']['Value']=0;
		$this->sApp->sDbDescriptions_Other[0][1]['Columns']['udctIpAddress']['Value']=$this->getIP();
		
		//-- #Login --
		$tmpINT=$this->sApp->Login($this->sUserDescriptions);
		if($tmpINT!=0){
			$this->submitLimitWrite($this->sysPage,-1,-1,-1);
			$this->sJscript=$this->Message('ERROR','登陆失败',$this->sApp->sysLastError,'');
			return $tmpINT;
		}
		//-- #Code operation --
		$tmpDbDescriptions=array(
			$this->sysDbDescriptions[$this->sysTableHead.'netsuseroperationrecord'],
			$this->sysDbDescriptions[$this->sysTableHead.'netsuseroperationrecordcont'],
			);
		$tmpDbDescriptions[0]['Columns']['uortName']['Value']='用户登陆积分';
		$tmpDbDescriptions[0]['Columns']['uortCreateBy']['Value']=$this->sUserDescriptions[0]['Columns']['uitID']['Value'];
		$tmpDbDescriptions[0]['Columns']['uortCreateTime']['Value']=date($this->sysTimeFormat);
		$tmpDbDescriptions[0]['Columns']['uorrtIntroduct']['Value']=$tmpDbDescriptions[0]['Columns']['uortName']['Value'];
		$tmpINT=$this->sApp->CalculationCode($tmpDbDescriptions,'Nets_User_Login');
		if($tmpINT!=0){
			$this->submitLimitWrite($this->sysPage,-1,-1,-1);
			$this->sJscript=$this->Message('ERROR','处理用户积分错误',$this->sApp->sysLastError,'');
			return $tmpINT;
		}
		
		$tmpURL=$this->sysFileConfig['businessMainAddress'];
		$tmpAR0=$this->AnalyerRequest($this->sysCookieHead.$this->sysUserPLURLCookieName,'',2);
		if ($tmpAR0[0]!='') {
			$tmpURL=$tmpAR0[0];
		}
		$this->sJscript=$this->Message('SUCCESS','登陆成功','欢迎使用'.$this->sysFileConfig['bussinessMetaTitle'].'用户自助管理平台',$tmpURL);
		return 0;
	}
	public function OnRegister(){
		//###COPY FROM REGISTER#####################################
		$tmpSTR='uitName';
		$tmpAR0=$this->AnalyerRequest($tmpSTR.'_RegisterTxt','',1);
		$this->sUserDescriptions[0]['Columns'][$tmpSTR]['Value']=$tmpAR0[0];
		$tmpSTR='uitEmail';
		$this->sUserDescriptions[0]['Columns'][$tmpSTR]['Value']=$tmpAR0[0];
		$tmpSTR='uitPxd';
		$tmpAR0=$this->AnalyerRequest($tmpSTR.'_RegisterTxt','',1);
		$this->sUserDescriptions[0]['Columns'][$tmpSTR]['Value']=$tmpAR0[0];
		
		$this->sUserDescriptions[0]['Columns']['uitTypeid']['Value']=5;
		$this->sUserDescriptions[4]['Columns']['uttType']['Value']=5;
		$this->sUserDescriptions[0]['Columns']['uitUnitid']['Value']=1;
		$this->sUserDescriptions[0]['Columns']['uitCreateBy']['Value']=1;
		//-- ------ #UserRegAble ------ --
		if($this->sysFileConfig['userUserRegAble']==0){
			$this->sJscript=$this->Message('ERROR','用户注册失败','对不起，本平台暂停用户注册，请与管理员联系。','');
			return 1;
		}
		//-- ------ #CCode ------ --
		$tmpSTR='CCode';
		$tmpAR0=$this->AnalyerRequest($tmpSTR.'_RegisterTxt','',1);
		$tmpCCode=$tmpAR0[0];
		$tmpSTR=$tmpSTR.'_RegisterTxt_IFrame';
		if(!array_key_exists($tmpSTR,$_SESSION)){
			$this->sJscript=$this->Message('ERROR','提交失败','验证码错误','');
			return 1;
		}
		if($_SESSION[$tmpSTR]=='' || $_SESSION[$tmpSTR]!=$tmpCCode){
			$this->sJscript=$this->Message('ERROR','提交失败','验证码错误','');
			return 1;
		}
		//-- ------ #Register ------ --
		$tmpINT=$this->sApp->RegAddToUnit($this->sUserDescriptions);
		if($tmpINT!=0){
			$this->sJscript=$this->Message('ERROR','登陆失败',$this->sApp->sysLastError,'');
			return $tmpINT;
		}
		//-- ------ #Send mail ------ --
		//#Send check mail
		$this->sysLastMessage='欢迎注册'.$this->sysFileConfig['bussinessMetaTitle'].'通用帐号，请登陆。';
		$tmpEmail=new netsEmail(array($this->sysFileConfig['EmailHost'],
			$this->sysFileConfig['EmailHostPost'],
			$this->sysFileConfig['EmailName'],
			$this->sysFileConfig['EmailPxd'],
			$this->sysCharset,));
		//#Get userinfo
		$tmpINT=$this->sApp->GetUserinfo($this->sUserDescriptions,'uitEmail');
		if($tmpINT!=0){
			$this->sJscript=$this->Message('ERROR','重新发送注册认证邮件错误',$this->sApp->sysLastError,'');
			return 1;
		}
		//#Daily setting
		$this->sApp->sDbDescriptions_Other=array(
			array($this->sysDbDescriptions[$this->sysTableHead.'netsuserdaily'],
				$this->sysDbDescriptions[$this->sysTableHead.'netsuserdailycont'],),
			);
		$this->sApp->sDbDescriptions_Other[0][1]['Columns']['udctIpAddress']['Value']=$this->getIP();
		//#Send
		if($this->sysFileConfig['userUserMailCheckAble']==1){
			$tmpINT=$this->sApp->regConfirmMakeMail($this->sUserDescriptions,$this->sysFileConfig['userUserMailCheckAble']);
			
			$tmpSTR=$this->sysFileConfig['EmailConfirmTemplate'];
			$tmpSTR=str_replace('{Nets.Title}',$this->sysFileConfig['bussinessMetaTitle'],$tmpSTR);
			$tmpSTR=str_replace('{Nets.Charset}',$this->sysCharset,$tmpSTR);
			$tmpSTR=str_replace('{Nets.Name}',$this->sUserDescriptions[0]['Columns']['uitName']['Value'],$tmpSTR);
			$tmpSTR=str_replace('{Nets.Page}',$this->sysSiteHome,$tmpSTR);
			$tmpSTR=str_replace('{Nets.Encryption}',$this->sUserDescriptions[0]['Columns']['uitPxd']['Value'],$tmpSTR);
			$tmpAR0=array(
				$this->sUserDescriptions[0]['Columns']['uitEmail']['Value'],
				$this->sysFileConfig['EmailName'],
				$this->sysFileConfig['bussinessMetaTitle'].' - 用户帐号认证邮件',
				$tmpSTR,
				);
			$tmpINT=$tmpEmail->sendSmtp($tmpAR0);
			$this->sysLastMessage='用户注册成功，请到您的电子邮箱['.$this->sUserDescriptions[0]['Columns']['uitEmail']['Value'].']里查收注册认证邮件，以完成您的注册。';
		}else if($this->sysFileConfig['userUserMailCheckAble']==2){
			$tmpINT=$this->sApp->regConfirmMakeMail($this->sUserDescriptions,$this->sysFileConfig['userUserMailCheckAble']);
			
			$tmpSTR=$this->sysFileConfig['EmailPowerTemplate'];
			$tmpSTR=str_replace('{Nets.Title}',$this->sysFileConfig['bussinessMetaTitle'],$tmpSTR);
			$tmpSTR=str_replace('{Nets.Charset}',$this->sysCharset,$tmpSTR);
			$tmpSTR=str_replace('{Nets.Name}',$this->sUserDescriptions[0]['Columns']['uitName']['Value'],$tmpSTR);
			$tmpSTR=str_replace('{Nets.Page}',$this->sysSiteHome,$tmpSTR);
			$tmpSTR=str_replace('{Nets.Encryption}',$this->sUserDescriptions[0]['Columns']['uitPxd']['Value'],$tmpSTR);
			$tmpAR0=array(
				$this->sUserDescriptions[0]['Columns']['uitEmail']['Value'],
				$this->sysFileConfig['EmailName'],
				$this->sysFileConfig['bussinessMetaTitle'].' - 用户帐号认证邮件',
				$tmpSTR,
				);
			$tmpINT=$tmpEmail->sendSmtp($tmpAR0);
			$this->sysLastMessage='用户注册成功，您可以登陆到本系统中，但在认证您的邮箱前，您将不能使用本系统的会员功能与服务，请到您的电子邮箱['.$this->sUserDescriptions[0]['Columns']['uitEmail']['Value'].']里查收注册认证邮件，以认证您的邮箱。';
		}else if($this->sysFileConfig['userUserMailCheckAble']==0 && $this->sysFileConfig['userUserRegSendEmail']==1){
			//-- #Send register mail --
			$tmpSTR=$this->sysFileConfig['EmailRegTemplate'];
			$tmpSTR=str_replace('{Nets.Title}',$this->sysFileConfig['bussinessMetaTitle'],$tmpSTR);
			$tmpSTR=str_replace('{Nets.Charset}',$this->sysCharset,$tmpSTR);
			$tmpSTR=str_replace('{Nets.Name}',$this->sUserDescriptions[0]['Columns']['uitName']['Value'],$tmpSTR);
			$tmpSTR=str_replace('{Nets.Page}',$this->sysSiteHome,$tmpSTR);
			$tmpAR0=array(
				$this->sUserDescriptions[0]['Columns']['uitEmail']['Value'],
				$this->sysFileConfig['EmailName'],
				$this->sysFileConfig['bussinessMetaTitle'].' - 欢迎加入',
				$tmpSTR,
				);
			if ($this->sysFileConfig['userUserCheckAble']==1) {
				$this->sysLastMessage='欢迎注册'.$this->sysFileConfig['bussinessMetaTitle'].'通用帐号，您已注册成功，请等待管理员审核后才能登陆。';
			}
		}
		
		$this->sJscript=$this->Message('SUCCESS','注册成功',$this->sysLastMessage,$this->sysFileConfig['businessLoginAddress']);
		return 0;
	}
	public function OnList(){
		
		//-- ------ #Control ------ --
		$this->sUiDescription_Custom_0=array();
		$tmpSTR=$this->sUiDescriptionPath.'User/nets/user_appplatform_home.php';
		if(file_exists($tmpSTR)){
			require($tmpSTR);
			$this->sUiDescription_Custom_0=$sysUiDescriptions['user_appplatform_home'];
		}

		
		
	}
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='uitName'){
			$pColumn['Value']=$this->sUserDescriptions[0]['Columns']['uitName']['Value'];
		}else if($pColumn['stcotName']=='uitPxd'){
			$pColumn['Value']=$this->sUserDescriptions[0]['Columns']['uitName']['Value'];
		}else if($pColumn['stcotName']=='uitPxdConfirm'){
			$pColumn['Value']=$this->sUserDescriptions[0]['Columns']['uitName']['Value'];
		}else if($pColumn['stcotName']=='uitEmail'){
			$pColumn['Value']=$this->sUserDescriptions[0]['Columns']['uitName']['Value'];

			
		}
		return $pColumn;
	}
	public function DefUiJscript($pFlag){
?>
function JsDCheck(pPara){
	var tmpControl="";
	var tmpError="";
	var tmpChecker=new netsChecker();
	var tmpActionWithOut=document.getElementById("ActionWithOut");
	var Coun0=0;
	//-- ------ #ActionWithOut ------ --
	if(tmpActionWithOut==undefined){
		return true;
	}
	if(tmpActionWithOut.value=="1"){
		return true;
	}else if(tmpActionWithOut.value=="2"){
		return false;
	}
	//-- ------ #Check ------ --
	if(document.getElementById(this.sysActionTypeF).value=="DLogin"){
		//#uitName
		tmpCheckCont=document.getElementById("uitName_LoginTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(!tmpChecker.CheckLen(tmpCheckCont.value,5,32)){
			Coun0++;
			tmpError+=Coun0+".登陆用户名必须大于5位"+tmpCommon.sysSPLIT8;
		}
		//#uitPxd
		tmpCheckCont=document.getElementById("uitPxd_LoginTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(!tmpChecker.CheckLen(tmpCheckCont.value,5,32)){
			Coun0++;
			tmpError+=Coun0+".登陆密码名必须大于5位"+tmpCommon.sysSPLIT8;
		}
		//#CCode
		tmpCheckCont=document.getElementById("CCode_LoginTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(!tmpChecker.CheckLen(tmpCheckCont.value,5,32)){
			Coun0++;
			tmpError+=Coun0+".验证码必须为5位"+tmpCommon.sysSPLIT8;
		}
	}
	//-- ------ #Check ------ --
	if(document.getElementById(this.sysActionTypeF).value=="DRegister"){
		//#uitName
		tmpCheckCont=document.getElementById("uitName_RegisterTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(!tmpChecker.CheckLen(tmpCheckCont.value,5,32)){
			Coun0++;
			tmpError+=Coun0+".登陆用户名必须大于5位"+tmpCommon.sysSPLIT8;
		}
		//#uitPxd
		tmpCheckCont=document.getElementById("uitPxd_RegisterTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(!tmpChecker.CheckLen(tmpCheckCont.value,5,32)){
			Coun0++;
			tmpError+=Coun0+".登陆密码名必须大于5位"+tmpCommon.sysSPLIT8;
		}
		//#uitPxdConfirm
		tmpSTR=tmpCheckCont.value;
		tmpCheckCont=document.getElementById("uitPxdConfirm_RegisterTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(tmpCheckCont.value!=tmpSTR){
			Coun0++;
			tmpError+=Coun0+".两次输入的密码必须一致"+tmpCommon.sysSPLIT8;
		}
		//#CCode
		tmpCheckCont=document.getElementById("CCode_RegisterTxt");
		tmpCheckCont.value=tmpChecker.Filter(tmpCheckCont.value,0);
		if(tmpCheckCont.value.length!=5){
			Coun0++;
			tmpError+=Coun0+".验证码必须为5位"+tmpCommon.sysSPLIT8;
		}
	}
	//-- ------ #Result ------ --
	if(tmpError!=""){
		tmpSTR="<span class=\"FStrong\">对不起，您提交的内容存在以下错误:</span>"+tmpCommon.sysSPLIT8+tmpError;
		tmpFrames.showMessage("系统消息 - <?php echo ($this->sysFileConfig['bussinessMetaTitle']); ?>",tmpSTR,"","0");
		return false;
	}else{
		return true;
	}
}
<?php
	}
	
	
	
	public function getThisControl($pColumn){

		if($pColumn['stcoctUiType']=='Text' || $pColumn['stcoctUiType']=='Pxd'){
			$this->Control_Text($pColumn);
		}else if($pColumn['stcoctUiType']=='CCode'){
			$this->Control_CCode($pColumn);
		}
		
		return 0;
	}
	public function Control_Text($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		$tmpIntroduct='';
		if(strlen($pColumn['stcoctUiIntroduct'])>0 && $pColumn['stcoctUiIntroduct']!='&nbsp;'){
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="DHidden">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}else{
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="DHidden">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}
		
		$tmpControlType='text';
		if($pColumn['stcoctUiType']=='Pxd'){
			$tmpControlType='password';
		}
?>
<!-- #<?php echo ($tmpControl); ?> -->
<tr class="<?php echo ($pColumn['LineStyle']); ?>">
<td id="<?php echo ($tmpControl); ?>_Label" class="Home_10_3"><?php echo ($pColumn['stcoctUiName']); ?>：</td>
<td id="<?php echo ($tmpControl); ?>PanelBox" class="Home_10_4">
<!--S.<?php echo ($tmpControl); ?>-->
<input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="<?php echo($tmpControlType); ?>" class="SControl1 ControlText Home_10_5"
onclick="tmpControl.onControlLight(this,'ControlText Home_10_5');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'ControlText Home_10_5');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="tmpControl.chooseCall('<?php echo ($pColumn['Parameter']); ?>',this);<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($pColumn['Value']); ?>" style="<?php echo ($pColumn['ControlStyle']); ?>" /><?php echo ($tmpIntroduct); ?>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td></tr>
<?php
	}
	public function Control_CCode($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
?>
<!-- #<?php echo ($tmpControl); ?> -->
<tr class="<?php echo ($pColumn['LineStyle']); ?>">
<td id="<?php echo ($tmpControl); ?>_Label" class="Home_10_3"><?php echo ($pColumn['stcoctUiName']); ?>：</td>
<td id="<?php echo ($tmpControl); ?>PanelBox" class="Home_10_4">
<!--S.<?php echo ($tmpControl); ?>-->
<table class="CCodeP" cellpadding="0" cellspacing="0"><tr>
<td class="CCodeA"><input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="text" maxlength="5" class="SControl1"
onclick="tmpControl.onControlLight(this,'');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onnfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
style="width:50px;" /></td>
<td class="CCodeB"><iframe id="<?php echo($tmpControl); ?>_IFrame" src="../../../Component/Nets/netsJscript/netsCheckCode0.php?Name=<?php echo($tmpControl); ?>_IFrame" class="CCodeD" frameborder="0" scrolling="no"></iframe></td>
<td class="CCodeC"><a href="#Here" title="点击刷新验证码" class="FBlue1 Link1"
onclick="tmpCommon.refreshCCode('<?php echo($tmpControl); ?>_IFrame');">刷新验证码</a></td>
</tr></table>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td></tr>
<?php
	}



}
?>